> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/activity-nodes/database.md).

# Database

Use the **Database** **Task** to execute database commands.

![](/files/2CHvY6wntS1WSHFNdVTz)

**Purpose**

The **Database Task** is used to execute database commands. Most processes rely on some information from database to execute jobs or complete process flows. Business processes may often require to Select, Insert, Update or Delete data from database, and pass such values to other nodes to complete process flows. Process Designer provides this functionality using Database Node tasks.

**Database Node Configuration Properties:**

Database Node Configuration settings panel has 3 tabs to define properties.

**General**

General Tab contains general information such as title name, task id, description etc.

**BusinessObject**

Used to configure and map the **Business Object** for input and output for the node.

**Database Parameter**

![](/files/emyCo8NOCPVtQBw8UF4J)

| **Property**    | **Mandatory** | **Default** | **Description**                                                                                                   |
| --------------- | ------------- | ----------- | ----------------------------------------------------------------------------------------------------------------- |
| Connection type | Y             |             | To define the type of database connection. There are 2 types: JNDI and JDBC.                                      |
| Command Type    | Y             |             | To define the type of database command used. There are 4 options as following: Select, Insert, Update and Delete. |
| Command         | Y             |             | To define the SQL command to be executed in database.                                                             |

**Java Naming and Directory Interface** (**JNDI**) is a directory service that allows Java software clients to connect database via a name. When "**Connection type"** is selected as "**JNDI",** user must enter **JNDI** Name.

| **Property**    | **Mandatory** | **Default** | **Description**                                                                                                                                                                                                                                  |
| --------------- | ------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| use environment | N             | Unchecked   | If user chooses use environment checkbox, then system will display the list of environment variables for user to choose. User can set the JNDI Name in the environment variable setup screen and choose the variable in the configuration panel. |
| JNDI Name       | Y             |             | Name of JNDI for database connection. If user chooses use environment then select the environment variable corresponding to JNDI Name.                                                                                                           |

![](/files/2D0Ubg6DbO6WMg6t1Huw)

**Java Database Connectivity (JDBC)** is standard application programming interface, which defines how a client may access a database. It is Java based data access technology and used for Java database connectivity. When "**JDBC"** is selected as "**Connection type".** User must also enter value for **JDBC**.

| **Property**         | **Mandatory** | **Default** | **Description**                                                                                                                                                                                                                                |
| -------------------- | ------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| JDBC Database Driver | Y             |             | The class name of the database driver for database connection.                                                                                                                                                                                 |
| use environment      | N             | Unchecked   | If user chooses use environment checkbox, then system will display the list of environment variables for user to choose. User can set the JDBC URL in the environment variable setup screen and choose the variable in the configuration panel |
| JDBC URL             | Y             |             | To set the address of database for connecting database. If user chooses use environment then select the environment variable corresponding to JDBC URL.                                                                                        |
| JDBC Username        | Y             |             | Username for Authentication. If user chooses use environment then select the environment variable corresponding to JDBC UserName.                                                                                                              |
| JDBC Password        | Y             |             | Password for Authentication. If user chooses use environment then select the environment variable corresponding to JDBC Password.                                                                                                              |

In Database Parameter tab, "**Open Mapping Parameter"** button is used to map parameters of Database Node task. When click **Open Mapping Parameter** button, the system will redirect user to **Mapping Parameter** screen and then user can click **Mapping Parameter Input** line or **Mapping Parameter Output** line to mapping parameter for this **Database** **Task**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/activity-nodes/database.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
